[oe-commits] Roman I Khimov : fprobe-ulog: new recipe

git version control git at git.openembedded.org
Wed Mar 24 09:47:49 UTC 2010


Module: openembedded.git
Branch: shr/unstable
Commit: 7e85836d47d82789a714e5e9e036af15c38ee08b
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=7e85836d47d82789a714e5e9e036af15c38ee08b

Author: Roman I Khimov <khimov at altell.ru>
Date:   Fri Mar  5 17:13:31 2010 +0300

fprobe-ulog: new recipe

Signed-off-by: Roman I Khimov <khimov at altell.ru>

---

 recipes/fprobe/files/default      |    6 +++
 recipes/fprobe/files/init.d       |   66 +++++++++++++++++++++++++++++++++++++
 recipes/fprobe/fprobe-ulog_1.1.bb |   23 +++++++++++++
 3 files changed, 95 insertions(+), 0 deletions(-)

diff --git a/recipes/fprobe/files/default b/recipes/fprobe/files/default
new file mode 100644
index 0000000..c36d291
--- /dev/null
+++ b/recipes/fprobe/files/default
@@ -0,0 +1,6 @@
+#fprobe-ulog default configuration file
+
+
+INTERFACE="eth0:100"
+FLOW_COLLECTOR="localhost:2055"	
+OTHER_ARGS=""
diff --git a/recipes/fprobe/files/init.d b/recipes/fprobe/files/init.d
new file mode 100644
index 0000000..5e32f07
--- /dev/null
+++ b/recipes/fprobe/files/init.d
@@ -0,0 +1,66 @@
+#! /bin/sh
+#
+#
+#		Written by Miquel van Smoorenburg <miquels at cistron.nl>.
+#		Modified for Debian 
+#		by Ian Murdock <imurdock at gnu.ai.mit.edu>.
+#	
+#		Modified for fprobe-ulog
+#		by Radu Spineanu <radu at timisoara.roedu.net>
+#
+
+### BEGIN INIT INFO
+# Provides:          fprobe-ulog
+# Required-Start:    $local_fs $remote_fs $syslog $network $time
+# Required-Stop:     $local_fs $remote_fs $syslog $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: export captured traffic to remote NetFlow Collector (ULOG version)
+### END INIT INFO
+
+
+# Include fprobe defaults if available
+if [ -f /etc/default/fprobe-ulog ] ; then
+        . /etc/default/fprobe-ulog
+fi
+
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/fprobe-ulog
+NAME=fprobe-ulog
+DESC=fprobe-ulog
+DAEMON_OPTS="-X$INTERFACE $OTHER_ARGS $FLOW_COLLECTOR"
+test -x $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+		--oknodo --exec $DAEMON
+	echo "$NAME."
+	;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: "
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+    echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff --git a/recipes/fprobe/fprobe-ulog_1.1.bb b/recipes/fprobe/fprobe-ulog_1.1.bb
new file mode 100644
index 0000000..8d082f2
--- /dev/null
+++ b/recipes/fprobe/fprobe-ulog_1.1.bb
@@ -0,0 +1,23 @@
+DESCRIPTION = "NetFlow probe (libipulog version)"
+SECTION = "network"
+LICENSE = "GPL"
+
+SRC_URI = " \
+	${SOURCEFORGE_MIRROR}/fprobe/fprobe-ulog/1.1/fprobe-ulog-${PV}.tar.bz2;name=tar \
+	file://init.d \
+	file://default \
+	"
+SRC_URI[tar.md5sum] = "cdb2e4edc47e8a3d5479eeabfb979ebc"
+SRC_URI[tar.sha256sum] = "53b9ccbca4469dfb0e9da91f9f0789dbf732f2adac9de18842e3c210b445f2ad"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "fprobe-ulog"
+
+do_install_append() {
+	ln -s fprobe-ulog ${D}/usr/sbin/fprobe
+        install -d ${D}/${sysconfdir}/init.d
+        install -m 0755 ${WORKDIR}/init.d ${D}/${sysconfdir}/init.d/fprobe-ulog
+	install -d ${D}/${sysconfdir}/default
+	install -m 0644 ${WORKDIR}/default ${D}/${sysconfdir}/default/fprobe-ulog
+}





More information about the Openembedded-commits mailing list